> ## Documentation Index
> Fetch the complete documentation index at: https://docs.txcloud.thetekcircle.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Full credit assessment



## OpenAPI

````yaml openapi/lending.yaml post /lending/assess
openapi: 3.0.3
info:
  title: TXCloud LendingRisk API
  version: 1.0.0
  description: |
    Credit risk assessment and affordability analysis for lending decisions.
    Aggregates data from bank statements, bureaus, and alternative sources.
servers:
  - url: https://api.txcloud.io/v1
  - url: https://sandbox.api.txcloud.io/v1
security:
  - BearerAuth: []
tags:
  - name: Assessment
    description: Credit assessment endpoints
  - name: Income
    description: Income verification
  - name: Statements
    description: Bank statement analysis
  - name: Monitoring
    description: Borrower monitoring
  - name: Models
    description: Scoring models
  - name: Analytics
    description: Portfolio analytics
paths:
  /lending/assess:
    post:
      tags:
        - Assessment
      summary: Full credit assessment
      operationId: createAssessment
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssessmentRequest'
      responses:
        '200':
          description: Assessment result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Assessment'
components:
  schemas:
    AssessmentRequest:
      type: object
      required:
        - applicant
        - loan_request
        - consent
      properties:
        applicant:
          type: object
          required:
            - id
            - first_name
            - last_name
            - date_of_birth
            - phone
          properties:
            id:
              type: string
            first_name:
              type: string
            last_name:
              type: string
            date_of_birth:
              type: string
              format: date
            phone:
              type: string
            email:
              type: string
            national_id:
              type: string
        employment:
          type: object
          properties:
            status:
              type: string
              enum:
                - employed
                - self_employed
                - part_time
                - contract
                - retired
                - unemployed
            employer_name:
              type: string
            monthly_income:
              type: number
            income_currency:
              type: string
        loan_request:
          type: object
          required:
            - amount
            - currency
            - term_months
            - purpose
          properties:
            amount:
              type: number
            currency:
              type: string
            term_months:
              type: integer
            purpose:
              type: string
        existing_debts:
          type: array
          items:
            type: object
        consent:
          type: object
          required:
            - bureau_check
            - timestamp
          properties:
            bureau_check:
              type: boolean
            bank_data:
              type: boolean
            timestamp:
              type: string
              format: date-time
    Assessment:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
        status:
          type: string
        decision:
          type: object
          properties:
            recommendation:
              type: string
              enum:
                - approve
                - approve_with_conditions
                - review
                - decline
            confidence:
              type: number
            max_approved_amount:
              type: number
        credit_score:
          type: object
          properties:
            score:
              type: integer
            grade:
              type: string
            percentile:
              type: integer
        income_analysis:
          type: object
        affordability:
          type: object
        pricing:
          type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````